Table table1, table2;
float[][] dataMatrix, dataHist;
String[] titles;
int numRows;
int numCols = 6;
float maxbarcode=0, minbarcode=1e35, barcoderange;

void readData() {
  table1 = loadTable("highschoolenglish.csv","header");
  table2 = loadTable("highschoolenglish_hist.csv","header");

  numRows = table1.getRowCount();
  dataMatrix = new float[numCols][numRows];
  titles = new String[numRows];
  
  for (int i=1 ; i<numCols ; i++) {
    for (int j=0 ; j<numRows ; j++) {
      dataMatrix[i-1][j] = table1.getFloat(j,i);
    }
  }
  for(int j=0; j<numRows; j++) {
    titles[j] = table1.getString(j,0);
    if (log(dataMatrix[4][j]) > maxbarcode) {
      maxbarcode = log(dataMatrix[4][j]);
    }
    if (log(dataMatrix[4][j]) < minbarcode) {
      minbarcode = log(dataMatrix[4][j]);
    }
  }
  barcoderange = maxbarcode-minbarcode;
  dataHist = new float[8][146];

  for (int i=0; i<8; i++) {
    for (int j=0; j<146; j++) {
      dataHist[i][j] = table2.getFloat(j,i+1);
    }
  }
}