SinOsc[] sineWaves;
SawOsc[] sawWaves;

int numSines = 8;
float vol = 0.0005;
float[] widthsum;
float[] itemcount;
float pwidth;

void setSounds() {
  sineWaves = new SinOsc[numSines];
  sawWaves = new SawOsc[numSines];

  for (int i = 0; i < numSines; i++) {
    sineWaves[i] = new SinOsc(this);
    sineWaves[i].play();
    sineWaves[i].amp(0);
    sawWaves[i] = new SawOsc(this);
    sawWaves[i].play();
    sawWaves[i].amp(0);
  }
  
  sineWaves[0].freq(261.63);
  sineWaves[1].freq(329.63);
  sineWaves[2].freq(392.00);
  sineWaves[3].freq(440.00);
  sineWaves[4].freq(523.25);
  sineWaves[5].freq(659.25);
  sineWaves[6].freq(783.99);
  sineWaves[7].freq(880.00);
  
  sawWaves[0].freq(261.63);
  sawWaves[1].freq(329.63);
  sawWaves[2].freq(392.00);
  sawWaves[3].freq(440.00);
  sawWaves[4].freq(523.25);
  sawWaves[5].freq(659.25);
  sawWaves[6].freq(783.99);
  sawWaves[7].freq(880.00);
  
  burnsum = new float[8];
  widthsum = new float[8];
  itemcount = new float[8];
}

void playChord() {
  for (int i=0; i<8; i++) {
    if (itemcount[i] == 0) {itemcount[i]=1;}
    if(music && flameOn) {
      sineWaves[i].amp(burnsum[i]*(1.3-widthsum[i]/itemcount[i]));
      sawWaves[i].amp(burnsum[i]*(widthsum[i]/itemcount[i]-0.3));
    }
    else {
      sineWaves[i].amp(0);
      sawWaves[i].amp(0);
    }
    
    sineWaves[i].pan(flame/totalweeks);
    sawWaves[i].pan(flame/totalweeks);
    //println(burnsum[i]*(1-widthsum[i]/itemcount[i]));
    burnsum[i] = 0;
    itemcount[i] = 0;
    widthsum[i] = 0;
  }
}