/*************************************************************************************
Data Visualization - High School English Class books               
Tested in Processing 3                                    
                                                     
Author: Jared Brooks                       
Supervisor: George Legrady                           
*************************************************************************************/

import peasy.*;
import controlP5.*;
import processing.sound.*;

PeasyCam cam;
ControlP5 cp5;

float flame=0;
float flamespeed=5;
float flamewidth = 50;

boolean flameOn = false;
boolean flip;
boolean hud = true;
boolean music = false;


PFont f, zigBlack;


void setup(){
  size(1280, 720, P3D);
  smooth(8);
  hint(ENABLE_STROKE_PERSPECTIVE);
  
  camSet();
  
  setSounds();

  readData();
  
  //f = createFont("Arial", 24);
  zigBlack = createFont("Ziggurat-Black", 16);
  textFont(zigBlack);

}

void draw(){
  background(0);
  rotateX(PI/4);
  
  textSize(14);
  fill(255);

  flame = flame + flamespeed;
  if (flame > totalweeks) {flame = 0;}
        
  drawLabels();
  
  drawXYrect();
  
  drawArcs();
  
  playChord();
 
  Hist();    
  
  if (hud) {
    fixedDisplay();
  }
}