float[] burnsum;
float burn;
int startyear = 2005;
float weekwidth = 1;
float weekin, weekout, week;
float totalweeks = 650;

void Hist() {
  for (int i=0; i<8; i++) {
    for (int j=0; j<146; j++) {
      
      week = j*4;
      if (abs(week -flame) < flamewidth) {
        burn = 1-(week -flame)*(week -flame)/(flamewidth*flamewidth);}
      else { burn=0;}
    
      if (!flameOn) { burn = 1; }      
      
      if (i==0) { stroke(166,206,227,burn*2.5*dataHist[i][j]); fill(166,206,227,burn*2.5*dataHist[i][j]);}
      if (i==1) { stroke(31,120,180,burn*2.5*dataHist[i][j]); fill(31,120,180,burn*2.5*dataHist[i][j]);}
      if (i==2) { stroke(178,223,138,burn*2.5*dataHist[i][j]); fill(178,223,138,burn*2.5*dataHist[i][j]);}
      if (i==3) { stroke(51,160,44,burn*2.5*dataHist[i][j]); fill(51,160,44,burn*2.5*dataHist[i][j]);}
      if (i==4) { stroke(251,154,153,burn*2.5*dataHist[i][j]); fill(251,154,153,burn*2.5*dataHist[i][j]);}
      if (i==5) { stroke(227,26,28,burn*2.5*dataHist[i][j]); fill(227,26,28,burn*2.5*dataHist[i][j]);}
      if (i==6) { stroke(253,191,111,burn*2.5*dataHist[i][j]); fill(253,191,111,burn*2.5*dataHist[i][j]);}
      if (i==7) { stroke(255,127,0,burn*2.5*dataHist[i][j]); fill(255,127,0,burn*2.5*dataHist[i][j]);}      
      
      pushMatrix();
      translate((-totalweeks/2 + j*52/12)*weekwidth, (-barcoderange/2+i*barcoderange/8)*40000, -dataHist[i][j]/2/2-5);
      box(52*weekwidth/12, (barcoderange/8)*40000, -dataHist[i][j]/2);
      popMatrix();
    }
  }
}



void drawArcs() {
  for (int i=0; i<numRows; i++) {
    float x1 = (-totalweeks/2 + (dataMatrix[0][i]-2005)*52 + dataMatrix[1][i])*weekwidth; // Checkin Date
    float x2 = (-totalweeks/2 + (dataMatrix[2][i]-2005)*52 + dataMatrix[3][i])*weekwidth; // Checkout Date
    float xm = x1 + (x2-x1)/2;
    float y = (-barcoderange/2 + (log(dataMatrix[4][i])-minbarcode))*40000;               // Barcode

    
    weekin = (dataMatrix[0][i]-2005)*52 + dataMatrix[1][i];
    weekout = (dataMatrix[2][i]-2005)*52 + dataMatrix[3][i];
    week = weekin + (weekout-weekin)/2;
    if (abs(week -flame) < flamewidth) {
      burn = 1-(week -flame)*(week -flame)/(flamewidth*flamewidth);}
    else { burn=0;}
  
    pwidth = map(log(dataMatrix[4][i]), minbarcode, maxbarcode, 0, 1)*burn;
    
    if (!flameOn) { burn = 1; }
    
    if (book == 1) { if (!(titles[i].equals("great Gatsby"))) { continue; }}
    if (book == 2) { if (!(titles[i].equals("Lord of the flies"))) { continue; }}
    if (book == 3) { if (!(titles[i].equals("Romeo and Juliet"))) { continue; }}
    if (book == 4) { if (!(titles[i].equals("To kill a mockingbird"))) { continue; }}
    if (book == 5) { if (!(titles[i].equals("Of mice and men"))) { continue; }}
    if (book == 6) { if (!(titles[i].equals("scarlet letter"))) { continue; }}
    if (book == 7) { if (!(titles[i].equals("catcher in the rye"))) { continue; }}
    if (book == 8) { if (!(titles[i].equals("Macbeth"))) { continue; }}   

    if (titles[i].equals("great Gatsby")) { stroke(166,206,227,200*burn); fill(166,206,227,200*burn); burnsum[0] = burnsum[0] + burn*vol; widthsum[0] = widthsum[0] + pwidth; itemcount[0] = itemcount[0] + burn;}
    if (titles[i].equals("Lord of the flies")) { stroke(31,120,180,200*burn); fill(31,120,180,200*burn); burnsum[1] = burnsum[1] + burn*vol; widthsum[1] = widthsum[1] + pwidth; itemcount[1] = itemcount[1] + burn;}
    if (titles[i].equals("Romeo and Juliet")) { stroke(178,223,138,200*burn); fill(178,223,138,200*burn); burnsum[2] = burnsum[2] + burn*vol; widthsum[2] = widthsum[2] + pwidth; itemcount[2] = itemcount[2] + burn;}
    if (titles[i].equals("To kill a mockingbird")) { stroke(51,160,44,200*burn); fill(51,160,44,200*burn); burnsum[3] = burnsum[3] + burn*vol; widthsum[3] = widthsum[3] + pwidth; itemcount[3] = itemcount[3] + burn;}
    if (titles[i].equals("Of mice and men")) { stroke(251,154,153,200*burn); fill(251,154,153,200*burn); burnsum[4] = burnsum[4] + burn*vol; widthsum[4] = widthsum[4] + pwidth; itemcount[4] = itemcount[4] + burn;}
    if (titles[i].equals("scarlet letter")) { stroke(227,26,28,200*burn); fill(227,26,28,200*burn); burnsum[5] = burnsum[5] + burn*vol; widthsum[5] = widthsum[5] + pwidth; itemcount[5] = itemcount[5] + burn;}
    if (titles[i].equals("catcher in the rye")) { stroke(253,191,111,200*burn); fill(253,191,111,200*burn); burnsum[6] = burnsum[6] + burn*vol; widthsum[6] = widthsum[6] + pwidth; itemcount[6] = itemcount[6] + burn;}
    if (titles[i].equals("Macbeth")) { stroke(255,127,0,200*burn); fill(255,127,0,200*burn); burnsum[7] = burnsum[7] + burn*vol; widthsum[7] = widthsum[7] + pwidth; itemcount[7] = itemcount[7] + burn;}
    

    strokeWeight(1);
    pushMatrix();
    translate(xm,y,0);
    rotateX(-PI/2);
    arc(0,0, (x2-x1)/2, (x2-x1)/2, PI, TWO_PI);
    popMatrix();
  }
}

void drawXYrect() {
  pushMatrix();
  translate(0,0,-2);
  stroke(0);
  fill(0,255);
  rect(-totalweeks*weekwidth/2-50,1.3*(-barcoderange/2)*40000,totalweeks*weekwidth+100,1.3*(barcoderange)*40000);
  popMatrix();
}

void drawLabels() {
  for (int i=0; i<13; i++) {
    text(startyear+i, (-totalweeks/2 + i*52)*weekwidth, (barcoderange/2)*40000+20, 0);
    stroke(255);
    strokeWeight(0.5);
    line((-totalweeks/2 + i*52)*weekwidth, (-barcoderange/2)*40000, 0, (-totalweeks/2 + i*52)*weekwidth, (barcoderange/2)*40000+20, 0);
    rotateZ(PI);
    rotateY(PI);
    text(startyear+i, (-totalweeks/2 + i*52)*weekwidth, 1.3*(barcoderange/2)*40000, 5);
    stroke(255);
    strokeWeight(2);
    line((-totalweeks/2 + i*52)*weekwidth, (-barcoderange/2)*40000, 5, (-totalweeks/2 + i*52)*weekwidth, (barcoderange/2)*40000+45, 5);
    rotateY(-PI);
    rotateZ(-PI);
  }
  rotateZ(PI/2);
  text("Barcode", 50, 30 - (-totalweeks/2 + 13*52)*weekwidth,0);
  rotateZ(-PI/2);
}